<?php

/**
 * @file
 * Administrative page callbacks for the sas message module.
 */

function sas_message_settings_form() {
	global $language;
	$form['sas_message'] = array(
			'#type' => 'fieldset',
			'#title' => ($language->language == 'ru' ? t('Сообщения') : t('Messages')),
	);
	$exc_mess = array(
			'Нет информации об обновлениях',
			'Для установленных на сайте проектов доступны обновления',
			'Получено системное сообщение. Дополнительную информацию можно найти',
			'Доступно обновление',
			'No update information available',
			'There is a security update available',
			'There are updates available for',
	);
	$form['sas_message']['sas_message_exclude_messages'] = array(
			'#type' => 'textarea',
			'#title' => t('Exclude message with start'),
			'#description' => t('One message on row'),
			'#default_value' => variable_get('sas_message_exclude_messages', implode("\n", $exc_mess)),
	);
	return system_settings_form($form);
}